---
title: Install
---

## Stable release

```
curl https://install.abra.coopcloud.tech | bash
```

## Release candidate

```
curl https://install.abra.coopcloud.tech | bash -s -- --rc
```

## Manual verification 

You can download the `abra` binary yourself from the [releases
page](https://git.coopcloud.tech/coop-cloud/abra/releases) along with the
`checksums.txt` file and verify it's integrity with the following command.

```bash
sha256sum -c checksums.txt --ignore-missing
```

If you see a line starting with `abra_...` which matches the filename you downloaded and it ends with `OK` - you're good to go!

```
abra_X.X.X-beta_linux_x86_64: OK
```

Otherwise, you downloaded a corrupted file and you should re-download it.

## Compile from source

Follow the guide [here](https://docs.coopcloud.tech/abra/hack/)

## Installer script source

You can view that [here](https://git.coopcloud.tech/coop-cloud/abra/src/branch/main/scripts/installer/installer).

## Using Docker

```
docker run \
	-v $HOME/.abra:/.abra \
	git.coopcloud.tech/coop-cloud/abra app ls
```

!!! note
	If you're using symlinks, e.g. for [sharing
	`~/.abra`](/operators/handbook/#sharing-abra), add more `-v` options for each
	directory you're symlinking to, e.g. `-v
	$HOME/Projects/CoopCloud/apps:/home/user/Projects/CoopCloud/apps`
